# Uses of Interface
com.sun.source.doctree.ThrowsTree

Packages that use ThrowsTree
Package
Description
com.sun.source.doctree
Provides interfaces to represent documentation comments as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of ThrowsTree in com.sun.source.doctree

Methods in com.sun.source.doctree with parameters of type ThrowsTree
Modifier and Type
Method
Description
`R`
DocTreeVisitor.`visitThrows(ThrowsTree node, P p)`
Visits a `ThrowsTree` node.

## Uses of ThrowsTree in com.sun.source.util

Methods in com.sun.source.util that return ThrowsTree
Modifier and Type
Method
Description
`ThrowsTree`
DocTreeFactory.`newExceptionTree(ReferenceTree name, List<? extends DocTree> description)`
Creates a new `ThrowsTree` object, to represent an `@exception` tag.
`ThrowsTree`
DocTreeFactory.`newThrowsTree(ReferenceTree name, List<? extends DocTree> description)`
Creates a new `ThrowsTree` object, to represent a `@throws` tag.
Methods in com.sun.source.util with parameters of type ThrowsTree
Modifier and Type
Method
Description
`R`
DocTreeScanner.`visitThrows(ThrowsTree node, P p)`
Visits a `ThrowsTree` node.
`R`
SimpleDocTreeVisitor.`visitThrows(ThrowsTree node, P p)`
Visits a `ThrowsTree` node.